## org.junit.rules
Class RunRules

    java.lang.Object
      org.junit.runners.model.Statement
          org.junit.rules.RunRules

    public class RunRules

extends Statement

Runs a collection of rules on a statement.

Since:
  4.9

Constructor Summary
`RunRules(Statement base, Iterable<TestRule> rules, Description description)`

Method Summary
`void` `evaluate()` Run the action, throwing a `Throwable` if anything goes wrong.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunRules

    public RunRules(Statement base,
                    Iterable<TestRule> rules,
                    Description description)

Method Detail

### evaluate

    public void evaluate()
                  throws Throwable

  Description copied from class: `Statement`
  Run the action, throwing a `Throwable` if anything goes wrong.

  Specified by:
    `evaluate` in class `Statement`
  Throws:
    `Throwable`

Copyright © 2002–2020 JUnit. All rights reserved.